Subject: Re: bug#78509: Coreutils' mv and cp 9.5 do not work properly on old PPC Mac OS X 10.4.11, Tiger

From: Peter Dyballa <[email-masked]>
Date: Thu, 22 May 2025 14:06:13 +0200

Hello Pádraig!

> Am 21.Mai.2025 um 22:46 schrieb Pádraig Brady <[email-masked]>:
> 
> I've not looked at the main issue at hand,
> but the tests shouldn't hang. We already protect some
> fifo interactions with `timeout 60`, so I've pushed this change
> to avoid such hangs similarly in future:
> https://git.sv.gnu.org/cgit/coreutils.git/commit/?id=dc4e6b670

I fetched your patch and let MacPorts apply it at start, which worked. I rebuilt coreutils with -ggdb -gdwarf-2 in order to be able to debug with Gdb, while 'make check' was running in the background. But, the applied patch was gone then, so I killed 'make check'. And I could apply your patch once more manually…

The tests have started again – and I am leaving now for some recreation… (am an old man)

--
Greetings

  Pete

Either this man is dead or my watch has stopped.
- Groucho Marx